Bug 2272827 - CVE-2024-3209 upx: heap-based buffer overflow via get_ne64() [epel-all]
Summary: CVE-2024-3209 upx: heap-based buffer overflow via get_ne64() [epel-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: upx
Version: epel8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2024-3209
TreeView+ depends on / blocked
 
Reported: 2024-04-02 23:51 UTC by Robb Gatica
Modified: 2024-04-12 01:23 UTC (History)
1 user (show)

Fixed In Version: upx-4.2.3-1.el8 upx-4.2.3-1.el9
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-04-12 01:01:28 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Robb Gatica 2024-04-02 23:51:46 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2272826

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Robb Gatica 2024-04-02 23:51:48 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2272826,2272827

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2024-04-03 19:30:32 UTC
FEDORA-EPEL-2024-88820507e6 (upx-4.2.3-1.el8) has been submitted as an update to Fedora EPEL 8.
https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-88820507e6

Comment 3 Fedora Update System 2024-04-03 19:30:33 UTC
FEDORA-EPEL-2024-c6577bc2ed (upx-4.2.3-1.el9) has been submitted as an update to Fedora EPEL 9.
https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-c6577bc2ed

Comment 4 Fedora Update System 2024-04-04 01:45:24 UTC
FEDORA-EPEL-2024-c6577bc2ed has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-c6577bc2ed

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2024-04-04 01:52:05 UTC
FEDORA-EPEL-2024-88820507e6 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-88820507e6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2024-04-12 01:01:28 UTC
FEDORA-EPEL-2024-88820507e6 (upx-4.2.3-1.el8) has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2024-04-12 01:23:01 UTC
FEDORA-EPEL-2024-c6577bc2ed (upx-4.2.3-1.el9) has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.